//THIS IS MINE, DON'T COME HERE TO FUCK UP!!!

local Category = "Iñaki's Vehicles"

local V = { 	
				// Required information
				Name = "GTA IV Minivan", 
				Class = "prop_vehicle_jeep",
				Category = Category,

				// Optional information
				Author = "Iñaki,DrDeanDarko,RockStar",
				Information = "These are models ported by DrDeanDarko from the game GTA IV, I made them drivables and some improvements to the materials as u can see.",
				Model = "models/Inaki/gtaiv/vehicles/minivan.mdl",
				HeadLights = {
					Light1 = { Pos = Vector(-30,-91,30.2), Ang = Angle(-45,-5,90) } , 
					Light2 = { Pos = Vector(30,-91,30.2), Ang = Angle(-45,5,90) } 
				},
				Horn = {Sound = "vu_horn_simple.wav", Pitch = 90},
				Passengers  = { 
					passenger1 = { Pos = Vector(19,-12,18), Ang = Angle(0,0,0) }, 
					passenger2 = { Pos = Vector(-20,30,18), Ang = Angle(0,0,0) }, 
					passenger3 = { Pos = Vector(0,30,18), Ang = Angle(0,0,0) }, 
					passenger4 = { Pos = Vector(20,30,18), Ang = Angle(0,0,0) } -----Vector = (0 = x, 0 = z, 0 =y) 
				},
				SeatType = "jeep_seat",
				HideSeats = true, -----Hide the passenger seats? sure				
				KeyValues = {
								vehiclescript	=	"scripts/vehicles/GTAIV_Minivan.txt",
								Skin			=	"2"
							}
			}

list.Set( "Vehicles", "GTAIVMinivan", V )

local V = { 	
				// Required information
				Name = "GTA IV Comet", 
				Class = "prop_vehicle_jeep",
				Category = Category,

				// Optional information
				Author = "Iñaki,DrDeanDarko,RockStar",
				Information = "These are models ported by DrDeanDarko from the game GTA IV, I made them drivables and some improvements to the materials as u can see.",
				Model = "models/Inaki/gtaiv/vehicles/comet.mdl",
				HeadLights = {
					Light1 = { Pos = Vector(-28.5,-76,30), Ang = Angle(-45,-5,90) } , 
					Light2 = { Pos = Vector(28.5,-76,30), Ang = Angle(-45,5,90) } 
				},
				Horn = {Sound = "vu_horn_simple.wav", Pitch = 90},
				Passengers  = { 
					passenger1 = { Pos = Vector(19,12,10), Ang = Angle(0,0,0) } -----Vector = (0 = x, 0 = z, 0 =y) 
				},
				SeatType = "jeep_seat",
				HideSeats = true, -----Hide the passenger seats? sure	
				
				KeyValues = {
								vehiclescript	=	"scripts/vehicles/GTAIV_Comet.txt",
								Skin			=	"2"
							}
			}

list.Set( "Vehicles", "GTAIVComet", V )

local V = { 	
				// Required information
				Name = "GTA IV Banshee", 
				Class = "prop_vehicle_jeep",
				Category = Category,

				// Optional information
				Author = "Iñaki,DrDeanDarko,RockStar",
				Information = "These are models ported by DrDeanDarko from the game GTA IV, I made them drivables and some improvements to the materials as u can see.",
				Model = "models/Inaki/gtaiv/vehicles/banshee.mdl",
				HeadLights = {
					Light1 = { Pos = Vector(-28.1,-91.5,35), Ang = Angle(-45,-5,90) } , 
					Light2 = { Pos = Vector(28.1,-91.5,35), Ang = Angle(-45,5,90) } 
				},
				Horn = {Sound = "vu_horn_simple.wav", Pitch = 90},
				Passengers  = { 
					passenger1 = { Pos = Vector(19,28,10), Ang = Angle(0,0,0) } -----Vector = (0 = x, 0 = z, 0 =y) 
				},
				SeatType = "jeep_seat",
				HideSeats = true, -----Hide the passenger seats? sure
				
				KeyValues = {
								vehiclescript	=	"scripts/vehicles/GTAIV_Banshee.txt",
								Skin			=	"10"
							}
			}

list.Set( "Vehicles", "GTAIVBanshee", V )

local V = { 	
				// Required information
				Name = "GTA IV Lokus", 
				Class = "prop_vehicle_jeep",
				Category = Category,

				// Optional information
				Author = "Iñaki,DrDeanDarko,RockStar",
				Information = "These are models ported by DrDeanDarko from the game GTA IV, I made them drivables and some improvements to the materials as u can see.",
				Model = "models/Inaki/gtaiv/vehicles/lokus.mdl",
				HeadLights = {
					Light1 = { Pos = Vector(-29.9,-86.5,27.8), Ang = Angle(-45,-5,90) } , 
					Light2 = { Pos = Vector(29.9,-86.5,27.8), Ang = Angle(-45,5,90) } 
				},
				Horn = {Sound = "vu_horn_simple.wav", Pitch = 90},
				Passengers  = { 
					passenger1 = { Pos = Vector(19,-12,10), Ang = Angle(0,0,0) }, 
					passenger2 = { Pos = Vector(-20,30,10), Ang = Angle(0,0,0) }, 
					passenger3 = { Pos = Vector(20,30,10), Ang = Angle(0,0,0) } -----Vector = (0 = x, 0 = z, 0 =y) 
				},
				SeatType = "jeep_seat",
				HideSeats = true, -----Hide the passenger seats? sure		
				
				KeyValues = {
								vehiclescript	=	"scripts/vehicles/GTAIV_Lokus.txt",
								Skin			=	"4"
							}
			}

list.Set( "Vehicles", "GTAIVLokus", V )

local V = { 	
				// Required information
				Name = "GTA IV Stallion", 
				Class = "prop_vehicle_jeep",
				Category = Category,

				// Optional information
				Author = "Iñaki,DrDeanDarko,RockStar",
				Information = "These are models ported by DrDeanDarko from the game GTA IV, I made them drivables and some improvements to the materials as u can see.",
				Model = "models/Inaki/gtaiv/vehicles/stallion.mdl",
				HeadLights = {
					Light1 = { Pos = Vector(-39.50,-111,32), Ang = Angle(-45,-5,90) } , 
					Light2 = { Pos = Vector(39.50,-111,32), Ang = Angle(-45,5,90) } 
				},
				Horn = {Sound = "vu_horn_simple.wav", Pitch = 90},
				Passengers  = { 
					passenger1 = { Pos = Vector(20,6,10), Ang = Angle(0,0,0) } -----Vector = (0 = x, 0 = z, 0 =y) 
				},
				SeatType = "jeep_seat",
				HideSeats = true, -----Hide the passenger seats? sure	
				
				KeyValues = {
								vehiclescript	=	"scripts/vehicles/GTAIV_Stallion.txt",
								Skin			=	"3"
							}
			}

list.Set( "Vehicles", "GTAIVStallion", V )

//Models
resource.AddFile("models/Inaki/gtaiv/vehicles/Banshee.mdl")
resource.AddFile("models/Inaki/gtaiv/vehicles/Banshee.sw.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Banshee.dx80.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Banshee.dx90.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/banshee.vvd")
resource.AddFile("models/Inaki/gtaiv/vehicles/Banshee.phy")

resource.AddFile("models/Inaki/gtaiv/vehicles/Comet.mdl")
resource.AddFile("models/Inaki/gtaiv/vehicles/Comet.sw.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Comet.dx80.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Comet.dx90.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Comet.vvd")
resource.AddFile("models/Inaki/gtaiv/vehicles/Comet.phy")

resource.AddFile("models/Inaki/gtaiv/vehicles/Minivan.mdl")
resource.AddFile("models/Inaki/gtaiv/vehicles/Minivan.sw.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Minivan.dx80.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Minivan.dx90.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Minivan.vvd")
resource.AddFile("models/Inaki/gtaiv/vehicles/Minivan.phy")

resource.AddFile("models/Inaki/gtaiv/vehicles/Lokus.mdl")
resource.AddFile("models/Inaki/gtaiv/vehicles/Lokus.sw.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Lokus.dx80.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Lokus.dx90.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Lokus.vvd")
resource.AddFile("models/Inaki/gtaiv/vehicles/Lokus.phy")

resource.AddFile("models/Inaki/gtaiv/vehicles/Stallion.mdl")
resource.AddFile("models/Inaki/gtaiv/vehicles/Stallion.sw.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Stallion.dx80.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Stallion.dx90.vtx")
resource.AddFile("models/Inaki/gtaiv/vehicles/Stallion.vvd")
resource.AddFile("models/Inaki/gtaiv/vehicles/Stallion.phy")

//Materials
//Vehicles Shared
resource.AddFile("materials/models/gtaiv/vehicles/black.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/black_flat.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/Blue.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/Blue_flat.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/Green.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/Green_flat.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/Red.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/Red_flat.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/White.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/White.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/Yellow.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/Yellow.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/Grey.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/Grey.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_carbon.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_carbon.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_carbon_normal.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_detail2.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_detail2.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_detail2_normal.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_doorshut.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_doorshut.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_doorshut_normal.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_tyrewallblack.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_tyrewallblack.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_tyrewallblack_normal.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_glasswindows2.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_glasswindows2.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/vehicle_generic_tyrewallblack_chrome.vmt")

//Banshee
resource.AddFile("materials/models/gtaiv/vehicles/banshee/black.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/Blue.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/Green.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/Red.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/White.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/Yellow.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/banshee_badges.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/banshee_badges.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/banshee_interior.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/banshee_interior.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/banshee_lights_glass.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/banshee/banshee_lights_glass.vtf")

//Comet
resource.AddFile("materials/models/gtaiv/vehicles/comet/black.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/Blue.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/Green.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/Green.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/comet/Red.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/NewRed_flat.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/comet/White.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/Yellow.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/Grey.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/comet_badges.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/comet_badges.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/comet/comet_badges_n.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/comet/comet_interior.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/comet_interior.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/comet/comet_lights.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/comet/comet_lights.vtf")

//Lokus
resource.AddFile("materials/models/gtaiv/vehicles/lokus/black.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/Blue.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/Green.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/Red.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/White.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/Yellow.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/Grey.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/lokus_badges.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/lokus_badges.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/lokus_badges_n.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/lokus_interior.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/lokus_interior.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/lokus_lights.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/lokus/lokus_lights.vtf")

//Minivan
resource.AddFile("materials/models/gtaiv/vehicles/minivan/black.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/Blue.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/Blue.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/Green.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/Green.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/Red.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/Red.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/White.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/White.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/yellowgold.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/yellowgold.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/Grey.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/minivan_badges.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/minivan_badges.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/cabby_interior.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/cabby_interior.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/taxivan_lights_glass.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/minivan/taxivan_lights_glass.vtf")

//Stallion
resource.AddFile("materials/models/gtaiv/vehicles/stallion/black.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/Blue.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/Blue.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/Green.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/Green.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/Red.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/Red.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/White.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/yellow.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/yellow.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/stallion_badges.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/stallion_badges.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/stallion_badges_n.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/stallion_interior.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/stallion_interior.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/stallion_lights_n_glass.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/stallion_lights_n_glass.vtf")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/stallion_black.vmt")
resource.AddFile("materials/models/gtaiv/vehicles/stallion/stallion_black_normal.vtf")

//Scripts
resource.AddFile("scripts/vehicles/GTAIV_Banshee.txt")
resource.AddFile("scripts/vehicles/GTAIV_Comet.txt")
resource.AddFile("scripts/vehicles/GTAIV_Lokus.txt")
resource.AddFile("scripts/vehicles/GTAIV_Minivan.txt")
resource.AddFile("scripts/vehicles/GTAIV_Stallion.txt")
resource.AddFile("scripts/sounds/game_sounds_GTAIV_Vehicles.txt")

//Sounds
resource.AddFile("sound\Vehicles\DeportiveCar\First.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Firstgear_rev_loop.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Fourth_cruise_loop.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Idle.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Rev_short_loop.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Second.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Start.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Stop.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Third.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Throttle_off_fast.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Throttle_off_slow.wav")
resource.AddFile("sound\Vehicles\DeportiveCar\Turbo_on_loop.wav")

resource.AddFile("sound\Vehicles\MuscleCar\First.wav")
resource.AddFile("sound\Vehicles\MuscleCar\Fourth_cruise_loop2.wav")
resource.AddFile("sound\Vehicles\MuscleCar\Second.wav")
resource.AddFile("sound\Vehicles\MuscleCar\MuscleCar_firstgear_rev_loop1.wav")
resource.AddFile("sound\Vehicles\MuscleCar\MuscleCar_idle_loop1.wav")
resource.AddFile("sound\Vehicles\MuscleCar\MuscleCar_rev_short_loop1.wav")
resource.AddFile("sound\Vehicles\MuscleCar\MuscleCar_start_loop1.wav")
resource.AddFile("sound\Vehicles\MuscleCar\MuscleCar_stop1.wav")
resource.AddFile("sound\Vehicles\MuscleCar\MuscleCar_throttle_off_fast_loop1.wav")
resource.AddFile("sound\Vehicles\MuscleCar\MuscleCar_throttle_off_slow_loop2.wav")
resource.AddFile("sound\Vehicles\MuscleCar\MuscleCar_turbo_on_loop1.wav")
resource.AddFile("sound\Vehicles\MuscleCar\Third.wav")

resource.AddFile("sound\Vehicles\CommonCar\First.wav")
resource.AddFile("sound\Vehicles\CommonCar\fourth_cruise_loop2.wav")
resource.AddFile("sound\Vehicles\CommonCar\idle.wav")
resource.AddFile("sound\Vehicles\CommonCar\second.wav")
resource.AddFile("sound\Vehicles\CommonCar\start.wav")
resource.AddFile("sound\Vehicles\CommonCar\third.wav")
resource.AddFile("sound\Vehicles\CommonCar\v8_firstgear_rev_loop1.wav")
resource.AddFile("sound\Vehicles\CommonCar\v8_idle_loop1.wav")
resource.AddFile("sound\Vehicles\CommonCar\v8_rev_short_loop1.wav")
resource.AddFile("sound\Vehicles\CommonCar\v8_start_loop1.wav")
resource.AddFile("sound\Vehicles\CommonCar\v8_stop1.wav")
resource.AddFile("sound\Vehicles\CommonCar\v8_throttle_off_fast_loop1.wav")
resource.AddFile("sound\Vehicles\CommonCar\v8_throttle_off_slow_loop2.wav")
resource.AddFile("sound\Vehicles\CommonCar\v8_turbo_on_loop1.wav")

//Lua
resource.AddFile("lua\autorun\GTAIV_Vehicles.lua")

//Thumbnails
resource.AddFile("materials/VGUI/entities/GTAIVBanshee.vtf")
resource.AddFile("materials/VGUI/entities/GTAIVBanshee.vmt")

resource.AddFile("materials/VGUI/entities/GTAIVComet.vtf")
resource.AddFile("materials/VGUI/entities/GTAIVComet.vmt")

resource.AddFile("materials/VGUI/entities/GTAIVMinivan.vtf")
resource.AddFile("materials/VGUI/entities/GTAIVMinivan.vmt")

resource.AddFile("materials/VGUI/entities/GTAIVLokus.vtf")
resource.AddFile("materials/VGUI/entities/GTAIVLokus.vmt")

resource.AddFile("materials/VGUI/entities/GTAIVStallion.vtf")
resource.AddFile("materials/VGUI/entities/GTAIVStallion.vmt")

